<template>
    <div class="create-task-box">
      <form @submit.prevent="submit">
        <input v-bind:class="{ 'has-error': titleNotValid }" class="form-input d-block" type="text" placeholder="Please enter group title" v-model="title">
        <span v-if="titleNotValid" class="alert-box">
          {{ titleNotValid }}
        </span>
        <button class="btn btn-submit" type="submit" name="button">Add</button>
      </form>
    </div>
</template>
<script>
import { mapMutations } from 'vuex';

export default {
  name: 'CteateGroupModal',

  data() {
   return {
     title: '',
     titleMinLenght: 3,
     titleMaxLenght: 30,
     titleNotValid: false
   }
 },

 methods: {

   ...mapMutations({createGroup: "tasks/ADD_GRUOP"}),

   submit(){
     if(this.title.trim().length < this.titleMinLenght){
       this.titleNotValid = 'Title must be at least '+ this.titleMinLenght +' characters';
     }
     else if (this.title.trim().length > this.titleMaxLenght) {
       this.titleNotValid = 'Title can be maximum '+ this.titleMaxLenght +' characters';
     }
     else {
       this.createGroup({
         title: this.title
       });
       this.$emit('close');
     }
    }

  }
}
</script>
